Page MenuHomePhabricator

Have phabricator send emails to wikibugs-l list for all task updates
Closed, DeclinedPublic

Description

Currently all Bugzilla updates are sent to the wikibugs-l (https://lists.wikimedia.org/mailman/listinfo/wikibugs-l). This list is also archived by other sites, so it would be useful to continue using the same list rather than setting up a new one.

(Also I've never created a phab task before, so please let me know if I did something wrong)

Details

Reference
fl647

Event Timeline

flimport raised the priority of this task from to Medium.Sep 12 2014, 1:49 AM
flimport set Reference to fl647.

qgil wrote on 2014-09-07 10:07:57 (UTC)

✘ Merged into T221.

legoktm wrote on 2014-09-07 10:09:46 (UTC)

Uhh, this is not a duplicate. This is specifically about setting up emails going to wikibugs-l. T221 is about an IRC bot.

Rush wrote on 2014-09-08 17:44:43 (UTC)

this could be a blocker for bugzilla, but it may require stripping a default mailinglist addition for sensitive bugs. i.e. not as simple as it seems, and not needed to have something at all.

This can be accomplished by adding the mailing list to the bug's CC field in herald.. @rush I think this one actually is pretty simple.

In the meantime Mukunda added wikibugs-l@lists.w.o to https://phabricator.wikimedia.org/mailinglists/

Must double-check that access-restricted tasks are excluded from triggering notifications via Herald.

So I think this "just" needs clarification how to make sure that restricted items don't trigger mail notifications (e.g. also not emitting mail anymore when a task is moved from a non-security to a security bucket)?

@Aklapper: unfortunatelty that's going to require further development work on the security plugin.

mmodell claimed this task.Sep 24 2014, 12:38 PM
Qgil added a subscriber: Qgil.Sep 24 2014, 2:26 PM

Maybe we should filter the tasks to be sent to wikibugs already in Phabricator, instead of relying on the bot to do the filtering. With Herald this should be possible:

Projects | do not include | Security etc

We will need to filter not only the tasks belonging to private projects, but also the tasks filed to non-technical projects only. But first things first.

@Qgil I've done exactly as you suggest. I think this will work ok but it's going to be a bit of a pain to keep up the list of excluded projects. For the time being this seems like a reasonable solution though.

In T453#5496, @mmodell wrote:

@Qgil I've done exactly as you suggest. I think this will work ok but it's going to be a bit of a pain to keep up the list of excluded projects. For the time being this seems like a reasonable solution though.

Next step: Make wikibugs-l@ admins configure the list in Mailman to accept mail from noreply@phab.w.o, as described in T496.

@Aklapper: I've requested wikibugs-l admins to add the noreply email address.

flimport added a subscriber: Legoktm.
flimport added a subscriber: Elitre.
mmodell closed this task as Resolved.Oct 6 2014, 6:54 PM

Done. The list is getting mail from maniphest, see here: https://www.mail-archive.com/wikibugs-l@lists.wikimedia.org/msg433371.html

Aklapper changed the task status from Resolved to Declined.Feb 5 2015, 2:57 PM

In the meantime this got reverted by T763 hence changing status from RESOLVED to DECLINED to not confuse folks who run into this ticket.